
//*****************************************************************************
// Steffen from "Mikrocontrollerspielwiese" wrote this file for an easier
// using of ADCs on atmega8. 
// 
// You find it at http://www.mikrocontrollerspielwiese.de
//
// license: GPL (http://www.gnu.org/licenses/gpl.txt)
//
// have fun!
//*****************************************************************************


int MESSWERT (int kanal){
	// i ist die Anzahl der Messungen fuer die Mittelwertbildung
  	// je groesser i, desto traeger wird die Messung
	int i=50; 
	
	
	int j=i, k=i;
	
  	long int analogwert=0, analogwert1=0, analogwert2=0 ;
	
	while(j){
  		
		while(i){
			ADCSRA=0x80; 		// ADC eingeschaltet, kein Prescale 
			ADMUX=kanal;  		// ADC Ref auf Avcc, PC0 gewaehlt, normale Formatierung
			ADCSRA |=_BV(ADSC); 	// single conversion mode ein
			while (ADCSRA & (1<<ADSC)) {;}	// auf Abschluss der Konvertierung warten 
			analogwert+=ADCW;
			i--;
		}
		
		analogwert1 = analogwert/k;
		analogwert2 += analogwert1;
		j--;
	}
	
	analogwert=(analogwert2/k);

	return (analogwert);
}


