

//*****************************************************************************
// Steffen from "Mikrocontrollerspielwiese" wrote this file for the project:
// "Universelles Experimentierboard fr Atmega8" for using that board as
// a quasi-analogue dot-display for the ADC0 value.
// 
// You find it at http://www.mikrocontrollerspielwiese.de
//
// license: GPL (http://www.gnu.org/licenses/gpl.txt)
//
// have fun!
//*****************************************************************************


#include <avr/io.h>
#include "boarddefs.h"
#include "messen.h"

int main(void){

  int value=0; 
	
  DDRB=255; DDRD=255;    // PORTs als Ausgabe
  DDRC &= ~_BV(PC0); // PC0 als Eingang

  while(1){
	value=MESSWERT(0);  
	  
	if (value<68) led1on; else led1off;
	if ( (value >=68)&& (value<136 ))   led2on; else led2off;
	if ( (value >=136)&& (value<204 ))   led3on; else led3off;
	if ( (value >=204)&& (value<272 ))   led4on; else led4off;
	if ( (value >= 272)&& (value<340 ))   led5on; else led5off;
	if ( (value >= 340)&& (value<408 ))   led6on; else led6off;
	if ( (value >= 408)&& (value<476 ))   led7on; else led7off;
	if ( (value >= 476)&& (value<612 ))  led8on; else led8off;
	if ( (value >= 612)&& (value<680 ))   led9on; else led9off;		
	if ( (value >= 680)&& (value<748 ))   led10on; else led10off;
	if ( (value >= 748)&& (value<816 ))   led11on; else led11off;
	if ( (value >= 816)&& (value<884 ))   led12on; else led12off;
	if ( (value >= 884)&& (value<952 ))   led13on; else led13off;
	if  (value >= 952) led14on; else led14off;
	
    } 

  return 0;
}  


